/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("GRANJERO").play("inicio");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_1}", "click", function(sym, e) {
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.stop("contenidos");
         
         
         // Mostrar un elemento 
         sym.$("C_a").show();
         sym.getSymbol("C_a").play("inicio");
         
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         // introducir código aquí
         sym.stop();
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("descripcion").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_2}", "click", function(sym, e) {
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.stop("contenidos");
         
         
         // Mostrar un elemento 
         sym.$("C_e").show();
         sym.getSymbol("C_e").play("inicio");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_3}", "click", function(sym, e) {
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.stop("contenidos");
         
         
         // Mostrar un elemento 
         sym.$("C_i").show();
         sym.getSymbol("C_i").play("inicio");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_4}", "click", function(sym, e) {
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.stop("contenidos");
         
         
         // Mostrar un elemento 
         sym.$("C_o").show();
         sym.getSymbol("C_o").play("inicio");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_5}", "click", function(sym, e) {
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.stop("contenidos");
         
         
         // Mostrar un elemento 
         sym.$("C_u").show();
         sym.getSymbol("C_u").play("inicio");
         
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         

      });
      //Edge binding end

   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'GRANJERO'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("GRANJERO");
   //Edge symbol end:'GRANJERO'

   //=========================================================
   
   //Edge symbol: 'C_a'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_a").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_e").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_i").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_o").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_u").hide();
         
         
         
         /*// Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("GRANJERO").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("a").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("e").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("i").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("o").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("u").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_1").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_2").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_3").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_4").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_5").show();*/
         

      });
      //Edge binding end

   })("C_a");
   //Edge symbol end:'C_a'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'C_a_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_a").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_e").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_i").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_o").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_u").hide();
         
         
         
         /*// Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("GRANJERO").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("a").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("e").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("i").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("o").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("u").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_1").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_2").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_3").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_4").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_5").show();*/
         

      });
      //Edge binding end

   })("C_i");
   //Edge symbol end:'C_i'

   //=========================================================
   
   //Edge symbol: 'C_e_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_a").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_e").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_i").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_o").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_u").hide();
         
         
         
         /*// Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("GRANJERO").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("a").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("e").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("i").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("o").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("u").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_1").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_2").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_3").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_4").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_5").show();*/
         

      });
      //Edge binding end

   })("C_e");
   //Edge symbol end:'C_e'

   //=========================================================
   
   //Edge symbol: 'C_i_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_a").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_e").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_i").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_o").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_u").hide();
         
         
         
         /*// Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("GRANJERO").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("a").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("e").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("i").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("o").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("u").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_1").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_2").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_3").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_4").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_5").show();*/
         

      });
      //Edge binding end

   })("C_o");
   //Edge symbol end:'C_o'

   //=========================================================
   
   //Edge symbol: 'C_o_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_a").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_e").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_i").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_o").hide();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("C_u").hide();
         
         
         
         /*// Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("GRANJERO").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("a").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("e").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("i").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("o").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("u").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_1").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_2").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_3").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_4").show();
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HotSpot_5").show();*/
         

      });
      //Edge binding end

   })("C_u");
   //Edge symbol end:'C_u'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         });
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion); 
         
         $("audio").prop("muted", true);
         
         	if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	//elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

})(jQuery, AdobeEdge, "EDGE-5531445");